Bug 491167 - guests ran by virt-manager keep keyboard half-grabbed
guests ran by virt-manager keep keyboard half-grabbed
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: gtk-vnc (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Daniel Berrange
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-19 13:05 EDT by Miloslav Trmač
Modified: 2009-04-15 14:01 EDT (History)
2 users (show)

See Also:
Fixed In Version: 0.3.8-4.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-15 14:01:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Miloslav Trmač 2009-03-19 13:05:31 EDT
I have Ctrl-F[1234] configured to switch to desktops 1..4, and configured "CapsLock is another Ctrl" (I don't know whether this is relevant).

Recently - most likely after the gtk-vnc-0.3.8-2.fc10.x86_64 update - I noticed that my usual sequence of "alt-tab to the virt-manager window, press Ctrl-Fx to switch to a different desktop" stopped working.  Making sure the mouse pointer is outside the guest window doesn't help.   Minimizing and restoring the guest window does help, and Ctrl-Fx works again - until I work with the guest again.
Comment 1 Miloslav Trmač 2009-03-19 13:32:41 EDT
Exact steps to reproduce:
* click into the guest window to cause a keyboard grab
* press ctrl+alt to release the grab
* move pointer out of the guest window
* Try alt-tab - doesn't work
  (or lets me switch to the virt-manager master window, but not back)
* click into the virt-manager master window - window title bar indicates focus
  Try typing - doesn't' work
* minimize the guest window
  alt-tab and ctrl-f3 start working

In perhaps 1 out of 10 attempts everything works fine.  I didn't figure out what's the difference so far.
Comment 2 Daniel Berrange 2009-03-24 16:54:49 EDT
Fix built in 0.3.8-3.fc10
Comment 3 Fedora Update System 2009-03-24 17:00:43 EDT
gtk-vnc-0.3.8-3.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/gtk-vnc-0.3.8-3.fc10
Comment 4 Fedora Update System 2009-03-25 12:13:19 EDT
gtk-vnc-0.3.8-3.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update gtk-vnc'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-3042
Comment 5 Fedora Update System 2009-03-31 16:27:50 EDT
gtk-vnc-0.3.8-4.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update gtk-vnc'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-3042
Comment 6 Fedora Update System 2009-04-15 14:01:19 EDT
gtk-vnc-0.3.8-4.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.